Skip to main content
GET
List source schedules

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
Minimum string length: 1

Query Parameters

runtime_target_kind
enum<string> | null

Runtime target to read from when source_target_kind is omitted.

Available options:
main_branch,
environment,
preview_branch,
null
target_environment_id
string<uuid> | null

Environment ID when the target kind is environment.

target_branch_id
string<uuid> | null

Branch ID when the target kind is preview_branch.

source_target_kind
enum<string>

Source to read: project, main_branch, environment or preview_branch. Defaults to runtime_target_kind, then project.

Available options:
project,
main_branch,
environment,
preview_branch

Response

Schedules declared in project source

data
object[]
required

Schedules declared in project source files.

page_info
object
required

The single page of the list: next is always null.

diagnostics
object[]
required

Source discovery diagnostics.